Subject: Re: git doc build failure on OS X 10.5.6 (Leopard) during xmlto phase

From: byrnejb <[email-masked]>
Date: Tue, 31 Mar 2009 13:17:00 -0700 (PDT)

Hi,

I am attempting to build git-1.6.2-1 on CentOS5.3 and running into this problem:

  parser error : PCDATA invalid Char value 7

I am using asciidoc-8.4.1 and yesterday, when I first built git from the src rpm, the process completed without error.  The only thing that has happened to the build system since then is an update of perl packages from epel.  I do not see how that would affect anything, but I include the information for completeness nonetheless.  

In any case, I can live without the documentation if that will get the application built.  I have tried the suggestions with respect to setting ENV variables without success:
$ set
ASCIIDOC8=YesPlease
...
DOCBOOK_XSL_172=YesPlease

So, have I misunderstood the instructions given here?  Is there something else I should do?  Is there a way to simply skip the documentation part of the build?

-- 
View this message in context: http://n2.nabble.com/git-doc-build-failure-on-OS-X-10.5.6-%28Leopard%29-during-xmlto-phase-tp2461534p2565224.html
Sent from the git mailing list archive at Nabble.com.